lxc-test-checkpoint-restore revision d48d22299d4fc5635f289e4a34967e6cd99cd743
# Do an end to end checkpoint and restore with criu.
set -e
echo -n "Failed " >&2
echo "$*" >&2
exit 1
}
echo "ERROR: Must run as root."
exit 1
fi
}
if verlte "$criu_version" "1.3.1"; then
echo "SKIP: skipping test because no (or wrong) criu installed."
exit 0
fi
# hax for criu
lxc.console = none
lxc.tty = 0
lxc.cgroup.devices.deny = c 5:1 rwm
EOF
# Let the container boot and get into a steady state.
sleep 5s
# The first time this usually fails because CRIU cannot checkpoint things with
# data on a socket.